# usetls: false
# use only in LAN and other secure networks
usetls: false

port: 8080
tempFolder: /tmp/scrapngo

tasks:
  lookupFolder: /srv/scrapngo/tasks

# reverseTunnel : false
# does not instantiate a reverse tunnel on any of the nodes
# this improves stability as the scrapngod server does not implement any
# monitoring of the nodes stability
# WARNING:
# with reverseTunnel to false, enqueue will not work if the headless browser is using PROXIES
reverseTunnel : true

nodes:
  - name: node0
    # SSH address in form of host:port
    address: scrapngo-node:22
    username: scrapngo
    home: /home/scrapngo/data/node-home
    sshPublicKey: /home/scrapngo/.ssh/id_rsa
    threads: 10
    outputFolder: /home/scrapngo/data/output